Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.tree
Class SystemIdMap

    java.lang.Object
      com.icl.saxon.tree.SystemIdMap

public class SystemIdMap
extends java.lang.Object

System IDs are not held in nodes in the tree, because they are usually the same for a whole document. This class provides a map from element sequence numbers to System IDs: it is linked to the root node of the tree. Note that the System ID is not necessarily the same as the Base URI. The System ID relates to the external entity in which a node was physically located; this provides a default for the Base URI, but this may be modified by specifying an xml:base attribute

Constructor Summary
`SystemIdMap()`

Method Summary
`java.lang.String` | `getSystemId(int sequence)` Get the system ID corresponding to a given sequence number
`void` | `setSystemId(int sequence, java.lang.String uri)` Set the system ID corresponding to a given sequence number

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SystemIdMap

    public SystemIdMap()

Method Detail

### setSystemId

    public void setSystemId(int sequence,
                            java.lang.String uri)

  Set the system ID corresponding to a given sequence number

### getSystemId

    public java.lang.String getSystemId(int sequence)

  Get the system ID corresponding to a given sequence number

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD